| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros
LTC2874.h File Reference
Transceivers » LTC2874: Quad IO-Link Master Hot Swap Power Controller and PHY

LTC2874: Quad IO-Link Master Hot Swap Power Controller and PHY. More...

## Detailed Description

LTC2874: Quad IO-Link Master Hot Swap Power Controller and PHY.

    The LTC2874 provides a rugged, 4-port IO-Link power and communications
    interface to remote devices connected by cables up to 20m in length.

    Output supply voltage and inrush current are ramped up in a controlled
    manner  using  external N-channel MOSFETs, providing improved robustness
    compared to fully integrated solutions.

    Wake-up pulse generation, line noise suppression, connection sensing and
    automatic restart after fault conditions are supported, along with
    signaling at rates up to 4.8kb/s, 38.4kb/s, and 230.4kb/s.

    Configuration and fault reporting are exchanged using a SPI-compatible
    4-wire interface that operates at clock rates up to 20MHz.

     SPI DATA FORMAT (MSB First):

     Byte #1                  Byte #2
     C2 C1 C0 A3 A2 A1 A0 X   D7 D6 D5 D4 D3 D2 D1 D0

     Cx   : Command     (0-Read Reg, 1-Write (no update), 2-Update all Reg,
                         3-Write one Reg and Update,      7-Reset)
     Ax   : REG Address (0-Reg0, 1-Reg1, 2-Reg2, ..., E-RegE)
     Dx   : REG Data
     X    : Don't care

http://www.linear.com/product/LTC2874

http://www.linear.com/product/LTC2874#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

IO-Link is a registered trademark of PROFIBUS User Organization (PNO).

Definition in file LTC2874.h.

Go to the source code of this file.

## Functions
void | LTC2874_cq_output (uint8_t port, uint8_t value)
| Enables or Disables CQ output for specified port, then Updates. More...
void | LTC2874_lplus_output (uint8_t port, uint8_t value)
| Enables or Disables L+ output for specified port, then Updates. More...
void | LTC2874_sio_mode (uint8_t port)
| Sets SIO_MODE bit (and also Clears SLEW bit) for specified port, then Updates. More...
void | LTC2874_24v_mode (uint8_t value)
| Changes value of the 24VMODE bit, then Updates. More...
void | LTC2874_write_NSF_value (uint8_t port, uint8_t value)
| Changes NSF (Noise Suppression Filter) setting for specified port without Updating. More...
void | LTC2874_write_ILLM_value (uint8_t port, uint8_t value)
| Changes ILLM (Sinking current) setting for specified port without Updating. More...
void | LTC2874_write_LPTC_value (uint8_t value)
| Change L+ Overcurrent Timer Control (LPTC) setting without Updating. More...
void | LTC2874_write_RETRYTC_value (uint8_t value)
| Changes Auto-Retry Timer Control (RETRYTC) setting without Updating. More...
void | LTC2874_write_2XPTC_value (uint8_t value)
| Changes 2X Current Pulse Timer Control (2XPTC) setting without Updating. More...
void | LTC2874_write_OV_TH_value (uint8_t value)
| Changes VDD Overvoltage Threshold (OV_TH) setting without Updating. More...
void | LTC2874_wakeup_request (uint8_t port)
| Sends WURQ (Wake-up Request) on specified port. More...
void | LTC2874_update_all (void)
| Updates all registers. More...
void | LTC2874_write_register_update_all (uint8_t LTC2874_register, uint8_t value)
| Writes byte of data to a register, then Updates. More...
void | LTC2874_write_bit_value_update_all (uint8_t LTC2874_register, uint8_t LTC2874_bit, uint8_t value)
| Changes value of a register bit, then Updates. More...
void | LTC2874_write_bit_set_update_all (uint8_t LTC2874_register, uint8_t LTC2874_bit)
| Sets a register bit, then Updates. More...
void | LTC2874_write_bit_clr_update_all (uint8_t LTC2874_register, uint8_t LTC2874_bit)
| Clears a register bit, then Updates. More...
void | LTC2874_reset (void)
| Resets LTC2874, returning default values to registers. More...
uint8_t | LTC2874_read_reg (uint8_t LTC2874_register)
| Reads data byte from specified register. More...
uint8_t | LTC2874_read_bit (uint8_t LTC2874_register, uint8_t LTC2874_bit)
| Reads a data BIT from specified register. More...
void | LTC2874_write_register (uint8_t LTC2874_register, uint8_t value)
| Writes byte of data to a register without Updating. More...
void | LTC2874_write_bit_set (uint8_t LTC2874_register, uint8_t LTC2874_bit)
| Sets a register bit without Updating. More...
void | LTC2874_write_bit_clr (uint8_t LTC2874_register, uint8_t LTC2874_bit)
| Clears a register bit without Updating. More...
void | LTC2874_write_bit_value (uint8_t LTC2874_register, uint8_t LTC2874_bit, uint8_t value)
| Changes value of a register bit without Updating. More...

## Macros
#define | LTC2874_CS QUIKEVAL_CS
Command Codes
OR'd together with the register address to form the command byte
LTC2874 Command String | Value
--- | ---
LTC2874_READ | 0x00
LTC2874_WRITE_NO_UPDATE | 0x20
LTC2874_UPDATE_ALL | 0x40
LTC2874_WRITE_UPDATE_ALL | 0x60
LTC2874_RESET | 0xE0
#define | LTC2874_READ 0x00
#define | LTC2874_WRITE_NO_UPDATE 0x20
#define | LTC2874_UPDATE_ALL 0x40
#define | LTC2874_WRITE_UPDATE_ALL 0x60
#define | LTC2874_RESET 0xE0
Register Addresses
Register | Address
--- | ---
LTC2874_IRQREG_REG0 | 0x00
LTC2874_IRQMASK_REG1 | 0x01
LTC2874_EVENT1_REG2 | 0x02
LTC2874_EVENT2_REG3 | 0x03
LTC2874_EVENT3_REG4 | 0x04
LTC2874_EVENT4_REG5 | 0x05
LTC2874_STATUS1_REG6 | 0x06
LTC2874_STATUS2_REG7 | 0x07
LTC2874_MODE1_REG8 | 0x08
LTC2874_MODE2_REG9 | 0x09
LTC2874_NSF_REGA | 0x0A
LTC2874_ILLM_REGB | 0x0B
LTC2874_TMRCTRL_REGC | 0x0C
LTC2874_CTRL1_REGD | 0x0D
LTC2874_CTRL2_REGE | 0x0E
#define | LTC2874_IRQREG_REG0 0x00
#define | LTC2874_IRQMASK_REG1 0x01
#define | LTC2874_EVENT1_REG2 0x02
#define | LTC2874_EVENT2_REG3 0x03
#define | LTC2874_EVENT3_REG4 0x04
#define | LTC2874_EVENT4_REG5 0x05
#define | LTC2874_STATUS1_REG6 0x06
#define | LTC2874_STATUS2_REG7 0x07
#define | LTC2874_MODE1_REG8 0x08
#define | LTC2874_MODE2_REG9 0x09
#define | LTC2874_NSF_REGA 0x0A
#define | LTC2874_ILLM_REGB 0x0B
#define | LTC2874_TMRCTRL_REGC 0x0C
#define | LTC2874_CTRL1_REGD 0x0D
#define | LTC2874_CTRL2_REGE 0x0E
Register Bit and Mask Definitions
#define | LTC2874_OT (0x1<<7)
#define | LTC2874_SUPPLY (0x1<<6)
#define | LTC2874_WU (0x1<<5)
#define | LTC2874_TOC_LP (0x1<<4)
#define | LTC2874_PWRCHNG (0x1<<3)
#define | LTC2874_TOC_CQ (0x1<<2)
#define | LTC2874_CSENSE (0x1<<1)
#define | LTC2874_OT_MASK (0x1<<7)
#define | LTC2874_SUPPLY_MASK (0x1<<6)
#define | LTC2874_WU_MASK (0x1<<5)
#define | LTC2874_TOC_LP_MASK (0x1<<4)
#define | LTC2874_PWRCHNG_MASK (0x1<<3)
#define | LTC2874_TOC_CQ_MASK (0x1<<2)
#define | LTC2874_CSENSE_MASK (0x1<<1)
#define | LTC2874_OT_SD (0x1<<7)
#define | LTC2874_OT_WARN (0x1<<6)
#define | LTC2874_UVLO_VL (0x1<<4)
#define | LTC2874_UVLO_VDD (0x1<<3)
#define | LTC2874_UV_VDD (0x1<<2)
#define | LTC2874_OV_VDD (0x1<<1)
#define | LTC2874_WU4 (0x1<<7)
#define | LTC2874_WU3 (0x1<<6)
#define | LTC2874_WU2 (0x1<<5)
#define | LTC2874_WU1 (0x1<<4)
#define | LTC2874_TOC_LP4 (0x1<<3)
#define | LTC2874_TOC_LP3 (0x1<<2)
#define | LTC2874_TOC_LP2 (0x1<<1)
#define | LTC2874_TOC_LP1 0x1
#define | LTC2874_PWRCHNG4 (0x1<<7)
#define | LTC2874_PWRCHNG3 (0x1<<6)
#define | LTC2874_PWRCHNG2 (0x1<<5)
#define | LTC2874_PWRCHNG1 (0x1<<4)
#define | LTC2874_TOC_CQ4 (0x1<<3)
#define | LTC2874_TOC_CQ3 (0x1<<2)
#define | LTC2874_TOC_CQ2 (0x1<<1)
#define | LTC2874_TOC_CQ1 0x1
#define | LTC2874_CQ_SNS4 (0x1<<7)
#define | LTC2874_CQ_SNS3 (0x1<<6)
#define | LTC2874_CQ_SNS2 (0x1<<5)
#define | LTC2874_CQ_SNS1 (0x1<<4)
#define | LTC2874_CSENSE4 (0x1<<3)
#define | LTC2874_CSENSE3 (0x1<<2)
#define | LTC2874_CSENSE2 (0x1<<1)
#define | LTC2874_CSENSE1 0x1
#define | LTC2874_OT_STAT (0x1<<7)
#define | LTC2874_WU_COOL_STAT (0x1<<6)
#define | LTC2874_UVLO_VDD_STAT (0x1<<5)
#define | LTC2874_OV_VDD_STAT (0x1<<4)
#define | LTC2874_OC_LP4_STAT (0x1<<3)
#define | LTC2874_OC_LP3_STAT (0x1<<2)
#define | LTC2874_OC_LP2_STAT (0x1<<1)
#define | LTC2874_OC_LP1_STAT 0x1
#define | LTC2874_PWRGD4 (0x1<<7)
#define | LTC2874_PWRGD3 (0x1<<6)
#define | LTC2874_PWRGD2 (0x1<<5)
#define | LTC2874_PWRGD1 (0x1<<4)
#define | LTC2874_OC_CQ4 (0x1<<3)
#define | LTC2874_OC_CQ3 (0x1<<2)
#define | LTC2874_OC_CQ2 (0x1<<1)
#define | LTC2874_OC_OQ1 0x1
#define | LTC2874_24VMODE (0x1<<7)
#define | LTC2874_CSENSE_MODE (0x1<<6)
#define | LTC2874_2XPTC_pos 4
#define | LTC2874_2XPTC_msk (0x3<<4)
#define | LTC2874_2XPTC(value) (LTC2874_2XPTC_msk & ((value) << LTC2874_2XPTC_pos))
#define | LTC2874_FLDBK_MODE (0x1<<3)
#define | LTC2874_RETRY_OV (0x1<<2)
#define | LTC2874_RETRY_LP (0x1<<1)
#define | LTC2874_RETRY_CQ 0x1
#define | LTC2874_SLEW4 (0x1<<7)
#define | LTC2874_SLEW3 (0x1<<6)
#define | LTC2874_SLEW2 (0x1<<5)
#define | LTC2874_SLEW1 (0x1<<4)
#define | LTC2874_OV_TH_pos 2
#define | LTC2874_OV_TH_msk (0x3<<2)
#define | LTC2874_OV_TH(value) (LTC2874_OV_TH_msk & ((value) << LTC2874_OV_TH_pos))
#define | LTC2874_OV_ALLOW (0x1<<1)
#define | LTC2874_CQ_SNS_MODE 0x1
#define | LTC2874_NSF4_pos 6
#define | LTC2874_NSF4_msk (0x3<<6)
#define | LTC2874_NSF4(value) (LTC2874_NSF4_msk & ((value) << LTC2874_NSF4_pos))
#define | LTC2874_NSF3_pos 4
#define | LTC2874_NSF3_msk (0x3<<4)
#define | LTC2874_NSF3(value) LTC2874_NSF3_msk & ((value) << LTC2874_NSF3_pos))
#define | LTC2874_NSF2_pos 2
#define | LTC2874_NSF2_msk (0x3<<2)
#define | LTC2874_NSF2(value) (LTC2874_NSF2_msk & ((value) << LTC2874_NSF2_pos))
#define | LTC2874_NSF1_pos 0
#define | LTC2874_NSF1_msk 0x3
#define | LTC2874_NSF1(value) (LTC2874_NSF1_msk & ((value) << LTC2874_NSF1_pos))
#define | LTC2874_ILLM4_pos 6
#define | LTC2874_ILLM4_msk (0x3<<6)
#define | LTC2874_ILLM4(value) (LTC2874_ILLM4_msk & ((value) << LTC2874_ILLM4_pos))
#define | LTC2874_ILLM3_pos 4
#define | LTC2874_ILLM3_msk (0x3<<4)
#define | LTC2874_ILLM3(value) (LTC2874_ILLM3_msk & ((value) << LTC2874_ILLM3_pos))
#define | LTC2874_ILLM2_pos 2
#define | LTC2874_ILLM2_msk (0x3<<2)
#define | LTC2874_ILLM2(value) (LTC2874_ILLM2_msk & ((value) << LTC2874_ILLM2_pos))
#define | LTC2874_ILLM1_pos 0
#define | LTC2874_ILLM1_msk 0x3
#define | LTC2874_ILLM1(value) (LTC2874_ILLM1_msk & ((value) << LTC2874_ILLM1_pos))
#define | LTC2874_LPTC_pos 4
#define | LTC2874_LPTC_msk (0xF<<4)
#define | LTC2874_LPTC(value) (LTC2874_LPTC_msk & ((value) << LTC2874_LPTC_pos))
#define | LTC2874_RETRYTC_pos 0
#define | LTC2874_RETRYTC_msk 0x07
#define | LTC2874_RETRYTC(value) (LTC2874_RETRYTC_msk & (value))
#define | LTC2874_WKUP4 (0x1<<7)
#define | LTC2874_WKUP3 (0x1<<6)
#define | LTC2874_WKUP2 (0x1<<5)
#define | LTC2874_WKUP1 (0x1<<4)
#define | LTC2874_DRVEN4 (0x1<<3)
#define | LTC2874_DRVEN3 (0x1<<2)
#define | LTC2874_DRVEN2 (0x1<<1)
#define | LTC2874_DRVEN1 0x1
#define | LTC2874_ENLP4 (0x1<<7)
#define | LTC2874_ENLP3 (0x1<<6)
#define | LTC2874_ENLP2 (0x1<<5)
#define | LTC2874_ENLP1 (0x1<<4)
#define | LTC2874_SIO_MODE4 (0x1<<3)
#define | LTC2874_SIO_MODE3 (0x1<<2)
#define | LTC2874_SIO_MODE2 (0x1<<1)
#define | LTC2874_SIO_MODE1 0x1
#define | LTC2874_CQ1 0x01
#define | LTC2874_CQ2 0x02
#define | LTC2874_CQ3 0x04
#define | LTC2874_CQ4 0x08
#define | LTC2874_CQ_ALL 0x0F
#define | LTC2874_LP1 0x10
#define | LTC2874_LP2 0x20
#define | LTC2874_LP3 0x40
#define | LTC2874_LP4 0x80
#define | LTC2874_LP_ALL 0xF0

## Function Documentation

## ◆ LTC2874_24v_mode()

void LTC2874_24v_mode | ( | uint8_t | value | ) |

Changes value of the 24VMODE bit, then Updates.

Returns
  void

Parameters

  value | 24VMODE setting (0 or 1)

Definition at line 218 of file LTC2874.cpp.

## ◆ LTC2874_cq_output()

void LTC2874_cq_output | ( | uint8_t | port,
|  | uint8_t | value
| ) |  |

Enables or Disables CQ output for specified port, then Updates.

Returns
  void

Parameters

  port | Port number (1-4 or 5=ALL)
  value | Enable (=1) or Disable (=0)

Definition at line 88 of file LTC2874.cpp.

## ◆ LTC2874_lplus_output()

void LTC2874_lplus_output | ( | uint8_t | port,
|  | uint8_t | value
| ) |  |

Enables or Disables L+ output for specified port, then Updates.

Returns
  void

Parameters

  port | Port number (1-4 or 5=ALL)
  value | Enable (=1) or Disable (=0)

Definition at line 131 of file LTC2874.cpp.

## ◆ LTC2874_read_bit()

uint8_t LTC2874_read_bit | ( | uint8_t | LTC2874_register,
|  | uint8_t | LTC2874_bit
| ) |  |

Reads a data BIT from specified register.

Returns
  value of bit read

Parameters

  LTC2874_register | Register address (0x0-0xE)
  LTC2874_bit | Mask of bit to be read (e.g. 0x40)

Definition at line 618 of file LTC2874.cpp.

## ◆ LTC2874_read_reg()

uint8_t LTC2874_read_reg | ( | uint8_t | LTC2874_register | ) |

Reads data byte from specified register.

Returns
  value of byte read

Parameters

  LTC2874_register | Register address (0x0-0xE)

Definition at line 598 of file LTC2874.cpp.

## ◆ LTC2874_reset()

void LTC2874_reset | ( | void |  | ) |

Resets LTC2874, returning default values to registers.

Returns
  void

Definition at line 582 of file LTC2874.cpp.

## ◆ LTC2874_sio_mode()

void LTC2874_sio_mode | ( | uint8_t | port | ) |

Sets SIO_MODE bit (and also Clears SLEW bit) for specified port, then Updates.

Returns
  void

Parameters

  port | Port number (1-4 or 5=ALL)

Definition at line 174 of file LTC2874.cpp.

## ◆ LTC2874_update_all()

void LTC2874_update_all | ( | void |  | ) |

Updates all registers.

Returns
  void

Definition at line 461 of file LTC2874.cpp.

## ◆ LTC2874_wakeup_request()

void LTC2874_wakeup_request | ( | uint8_t | port | ) |

Sends WURQ (Wake-up Request) on specified port.

Returns
  void

Parameters

  port | Port number (1-4)

Definition at line 433 of file LTC2874.cpp.

## ◆ LTC2874_write_2XPTC_value()

void LTC2874_write_2XPTC_value | ( | uint8_t | value | ) |

Changes 2X Current Pulse Timer Control (2XPTC) setting without Updating.

value definitions: 0x0=60ms (default), 0x1=disabled, 0x2=30ms, 0x3=120ms

Returns
  void

Parameters

  value | 2XPTC setting (0x0-0x3)

Definition at line 377 of file LTC2874.cpp.

## ◆ LTC2874_write_bit_clr()

void LTC2874_write_bit_clr | ( | uint8_t | LTC2874_register,
|  | uint8_t | LTC2874_bit
| ) |  |

Clears a register bit without Updating.

Returns
  void

Parameters

  LTC2874_register | Register address (0x0-0xE)
  LTC2874_bit | Mask of bit to be set (e.g. 0x40)

Definition at line 683 of file LTC2874.cpp.

## ◆ LTC2874_write_bit_clr_update_all()

void LTC2874_write_bit_clr_update_all | ( | uint8_t | LTC2874_register,
|  | uint8_t | LTC2874_bit
| ) |  |

Clears a register bit, then Updates.

Returns
  void

Parameters

  LTC2874_register | Register address (0x0-0xE)
  LTC2874_bit | Mask of bit to be cleared (e.g. 0x40)

Definition at line 556 of file LTC2874.cpp.

## ◆ LTC2874_write_bit_set()

void LTC2874_write_bit_set | ( | uint8_t | LTC2874_register,
|  | uint8_t | LTC2874_bit
| ) |  |

Sets a register bit without Updating.

Returns
  void

Parameters

  LTC2874_register | Register address (0x0-0xE)
  LTC2874_bit | Mask of bit to be set (e.g. 0x40)

Definition at line 658 of file LTC2874.cpp.

## ◆ LTC2874_write_bit_set_update_all()

void LTC2874_write_bit_set_update_all | ( | uint8_t | LTC2874_register,
|  | uint8_t | LTC2874_bit
| ) |  |

Sets a register bit, then Updates.

Returns
  void

Parameters

  LTC2874_register | Register address (0x0-0xE)
  LTC2874_bit | Mask of bit to be set (e.g. 0x40)

Definition at line 530 of file LTC2874.cpp.

## ◆ LTC2874_write_bit_value()

void LTC2874_write_bit_value | ( | uint8_t | LTC2874_register,
|  | uint8_t | LTC2874_bit,
|  | uint8_t | value
| ) |  |

Changes value of a register bit without Updating.

Returns
  void

Parameters

  LTC2874_register | Register address (0x0-0xE)
  LTC2874_bit | Mask of bit to be written (e.g. 0x40)
  value | Bit value to be written (0 or 1)

Definition at line 711 of file LTC2874.cpp.

## ◆ LTC2874_write_bit_value_update_all()

void LTC2874_write_bit_value_update_all | ( | uint8_t | LTC2874_register,
|  | uint8_t | LTC2874_bit,
|  | uint8_t | value
| ) |  |

Changes value of a register bit, then Updates.

Returns
  void

Parameters

  LTC2874_register | Register address (0x0-0xE)
  LTC2874_bit | Mask of bit to be written (e.g. 0x40)
  value | Bit value to be written (0 or 1)

Definition at line 497 of file LTC2874.cpp.

## ◆ LTC2874_write_ILLM_value()

void LTC2874_write_ILLM_value | ( | uint8_t | port,
|  | uint8_t | value
| ) |  |

Changes ILLM (Sinking current) setting for specified port without Updating.

value definitions: 0x0=500kohm, 0x1=2.5mA, 0x2=3.7mA, 0x3=6.2mA (default)

Returns
  void

Parameters

  port | Port number (1-4 or 5=ALL)
  value | ILLM setting (0x0-0x3)

Definition at line 283 of file LTC2874.cpp.

## ◆ LTC2874_write_LPTC_value()

void LTC2874_write_LPTC_value | ( | uint8_t | value | ) |

Change L+ Overcurrent Timer Control (LPTC) setting without Updating.

value definitions: 0x0=17us, 0x1=30us, 0x2=60us, 0x3=120us, 0x4=0.25ms, 0x5=0.5ms, 0x6=1ms, 0x7=2ms, 0x8=3.9ms, 0x9=7.8ms, 0xA=16ms, 0xB=30ms, 0xC=0.60ms, 0xD=0.13s, 0xE=0.25s, 0xF=0.25s

Returns
  void

Parameters

  value | LPTC setting (0x0-0xF)

Definition at line 321 of file LTC2874.cpp.

## ◆ LTC2874_write_NSF_value()

void LTC2874_write_NSF_value | ( | uint8_t | port,
|  | uint8_t | value
| ) |  |

Changes NSF (Noise Suppression Filter) setting for specified port without Updating.

value definitions: 0x0=disabled, 0x1=20.3us, 0x2=2.8us, 0x3=0.6us (default)

Returns
  void

Parameters

  port | Port number (1-4)
  value | NSF setting (0x0-0x3)

Definition at line 253 of file LTC2874.cpp.

## ◆ LTC2874_write_OV_TH_value()

void LTC2874_write_OV_TH_value | ( | uint8_t | value | ) |

Changes VDD Overvoltage Threshold (OV_TH) setting without Updating.

value definitions: 0x0=18V, 0x1=32V (default), 0x2=34V, 0x3=36V

Returns
  void

Parameters

  value | OV_TH setting (0x0-0x3)

Definition at line 405 of file LTC2874.cpp.

## ◆ LTC2874_write_register()

void LTC2874_write_register | ( | uint8_t | LTC2874_register,
|  | uint8_t | value
| ) |  |

Writes byte of data to a register without Updating.

Returns
  void

Parameters

  LTC2874_register | Register address (0x0-0xE)
  value | Data to be written into register

Definition at line 641 of file LTC2874.cpp.

## ◆ LTC2874_write_register_update_all()

void LTC2874_write_register_update_all | ( | uint8_t | LTC2874_register,
|  | uint8_t | value
| ) |  |

Writes byte of data to a register, then Updates.

Returns
  void

Parameters

  LTC2874_register | Register address (0x0-0xE)
  value | Data to be written into register

Definition at line 478 of file LTC2874.cpp.

## ◆ LTC2874_write_RETRYTC_value()

void LTC2874_write_RETRYTC_value | ( | uint8_t | value | ) |

Changes Auto-Retry Timer Control (RETRYTC) setting without Updating.

value definitions: 0x0=0.12s, 0x1=0.24s, 0x2=0.49s, 0x3=0.98s, 0x4=2.0s, 0x5=3.9s, 0x6=7.9s, 0x7=15.7s

Returns
  void

Parameters

  value | RETRYTC setting (0x0-0x7)

Definition at line 349 of file LTC2874.cpp.

## Macro Definition Documentation

## ◆ LTC2874_24VMODE

#define LTC2874_24VMODE (0x1<<7)

Definition at line 221 of file LTC2874.h.

## ◆ LTC2874_2XPTC

#define LTC2874_2XPTC | ( |  | value | ) | (LTC2874_2XPTC_msk & ((value) << LTC2874_2XPTC_pos))

Definition at line 226 of file LTC2874.h.

## ◆ LTC2874_2XPTC_msk

#define LTC2874_2XPTC_msk (0x3<<4)

Definition at line 225 of file LTC2874.h.

## ◆ LTC2874_2XPTC_pos

#define LTC2874_2XPTC_pos 4

Definition at line 224 of file LTC2874.h.

## ◆ LTC2874_CQ1

#define LTC2874_CQ1 0x01

Definition at line 298 of file LTC2874.h.

## ◆ LTC2874_CQ2

#define LTC2874_CQ2 0x02

Definition at line 299 of file LTC2874.h.

## ◆ LTC2874_CQ3

#define LTC2874_CQ3 0x04

Definition at line 300 of file LTC2874.h.

## ◆ LTC2874_CQ4

#define LTC2874_CQ4 0x08

Definition at line 301 of file LTC2874.h.

## ◆ LTC2874_CQ_ALL

#define LTC2874_CQ_ALL 0x0F

Definition at line 302 of file LTC2874.h.

## ◆ LTC2874_CQ_SNS1

#define LTC2874_CQ_SNS1 (0x1<<4)

Definition at line 197 of file LTC2874.h.

## ◆ LTC2874_CQ_SNS2

#define LTC2874_CQ_SNS2 (0x1<<5)

Definition at line 196 of file LTC2874.h.

## ◆ LTC2874_CQ_SNS3

#define LTC2874_CQ_SNS3 (0x1<<6)

Definition at line 195 of file LTC2874.h.

## ◆ LTC2874_CQ_SNS4

#define LTC2874_CQ_SNS4 (0x1<<7)

Definition at line 194 of file LTC2874.h.

## ◆ LTC2874_CQ_SNS_MODE

#define LTC2874_CQ_SNS_MODE 0x1

Definition at line 243 of file LTC2874.h.

## ◆ LTC2874_CS

#define LTC2874_CS QUIKEVAL_CS

Definition at line 84 of file LTC2874.h.

## ◆ LTC2874_CSENSE

#define LTC2874_CSENSE (0x1<<1)

Definition at line 159 of file LTC2874.h.

## ◆ LTC2874_CSENSE1

#define LTC2874_CSENSE1 0x1

Definition at line 201 of file LTC2874.h.

## ◆ LTC2874_CSENSE2

#define LTC2874_CSENSE2 (0x1<<1)

Definition at line 200 of file LTC2874.h.

## ◆ LTC2874_CSENSE3

#define LTC2874_CSENSE3 (0x1<<2)

Definition at line 199 of file LTC2874.h.

## ◆ LTC2874_CSENSE4

#define LTC2874_CSENSE4 (0x1<<3)

Definition at line 198 of file LTC2874.h.

## ◆ LTC2874_CSENSE_MASK

#define LTC2874_CSENSE_MASK (0x1<<1)

Definition at line 167 of file LTC2874.h.

## ◆ LTC2874_CSENSE_MODE

#define LTC2874_CSENSE_MODE (0x1<<6)

Definition at line 222 of file LTC2874.h.

## ◆ LTC2874_CTRL1_REGD

#define LTC2874_CTRL1_REGD 0x0D

Definition at line 145 of file LTC2874.h.

## ◆ LTC2874_CTRL2_REGE

#define LTC2874_CTRL2_REGE 0x0E

Definition at line 146 of file LTC2874.h.

## ◆ LTC2874_DRVEN1

#define LTC2874_DRVEN1 0x1

Definition at line 287 of file LTC2874.h.

## ◆ LTC2874_DRVEN2

#define LTC2874_DRVEN2 (0x1<<1)

Definition at line 286 of file LTC2874.h.

## ◆ LTC2874_DRVEN3

#define LTC2874_DRVEN3 (0x1<<2)

Definition at line 285 of file LTC2874.h.

## ◆ LTC2874_DRVEN4

#define LTC2874_DRVEN4 (0x1<<3)

Definition at line 284 of file LTC2874.h.

## ◆ LTC2874_ENLP1

#define LTC2874_ENLP1 (0x1<<4)

Definition at line 292 of file LTC2874.h.

## ◆ LTC2874_ENLP2

#define LTC2874_ENLP2 (0x1<<5)

Definition at line 291 of file LTC2874.h.

## ◆ LTC2874_ENLP3

#define LTC2874_ENLP3 (0x1<<6)

Definition at line 290 of file LTC2874.h.

## ◆ LTC2874_ENLP4

#define LTC2874_ENLP4 (0x1<<7)

Definition at line 289 of file LTC2874.h.

## ◆ LTC2874_EVENT1_REG2

#define LTC2874_EVENT1_REG2 0x02

Definition at line 134 of file LTC2874.h.

## ◆ LTC2874_EVENT2_REG3

#define LTC2874_EVENT2_REG3 0x03

Definition at line 135 of file LTC2874.h.

## ◆ LTC2874_EVENT3_REG4

#define LTC2874_EVENT3_REG4 0x04

Definition at line 136 of file LTC2874.h.

## ◆ LTC2874_EVENT4_REG5

#define LTC2874_EVENT4_REG5 0x05

Definition at line 137 of file LTC2874.h.

## ◆ LTC2874_FLDBK_MODE

#define LTC2874_FLDBK_MODE (0x1<<3)

Definition at line 228 of file LTC2874.h.

## ◆ LTC2874_ILLM1

#define LTC2874_ILLM1 | ( |  | value | ) | (LTC2874_ILLM1_msk & ((value) << LTC2874_ILLM1_pos))

Definition at line 270 of file LTC2874.h.

## ◆ LTC2874_ILLM1_msk

#define LTC2874_ILLM1_msk 0x3

Definition at line 269 of file LTC2874.h.

## ◆ LTC2874_ILLM1_pos

#define LTC2874_ILLM1_pos 0

Definition at line 268 of file LTC2874.h.

## ◆ LTC2874_ILLM2

#define LTC2874_ILLM2 | ( |  | value | ) | (LTC2874_ILLM2_msk & ((value) << LTC2874_ILLM2_pos))

Definition at line 267 of file LTC2874.h.

## ◆ LTC2874_ILLM2_msk

#define LTC2874_ILLM2_msk (0x3<<2)

Definition at line 266 of file LTC2874.h.

## ◆ LTC2874_ILLM2_pos

#define LTC2874_ILLM2_pos 2

Definition at line 265 of file LTC2874.h.

## ◆ LTC2874_ILLM3

#define LTC2874_ILLM3 | ( |  | value | ) | (LTC2874_ILLM3_msk & ((value) << LTC2874_ILLM3_pos))

Definition at line 264 of file LTC2874.h.

## ◆ LTC2874_ILLM3_msk

#define LTC2874_ILLM3_msk (0x3<<4)

Definition at line 263 of file LTC2874.h.

## ◆ LTC2874_ILLM3_pos

#define LTC2874_ILLM3_pos 4

Definition at line 262 of file LTC2874.h.

## ◆ LTC2874_ILLM4

#define LTC2874_ILLM4 | ( |  | value | ) | (LTC2874_ILLM4_msk & ((value) << LTC2874_ILLM4_pos))

Definition at line 261 of file LTC2874.h.

## ◆ LTC2874_ILLM4_msk

#define LTC2874_ILLM4_msk (0x3<<6)

Definition at line 260 of file LTC2874.h.

## ◆ LTC2874_ILLM4_pos

#define LTC2874_ILLM4_pos 6

Definition at line 259 of file LTC2874.h.

## ◆ LTC2874_ILLM_REGB

#define LTC2874_ILLM_REGB 0x0B

Definition at line 143 of file LTC2874.h.

## ◆ LTC2874_IRQMASK_REG1

#define LTC2874_IRQMASK_REG1 0x01

Definition at line 133 of file LTC2874.h.

## ◆ LTC2874_IRQREG_REG0

#define LTC2874_IRQREG_REG0 0x00

Definition at line 132 of file LTC2874.h.

## ◆ LTC2874_LP1

#define LTC2874_LP1 0x10

Definition at line 304 of file LTC2874.h.

## ◆ LTC2874_LP2

#define LTC2874_LP2 0x20

Definition at line 305 of file LTC2874.h.

## ◆ LTC2874_LP3

#define LTC2874_LP3 0x40

Definition at line 306 of file LTC2874.h.

## ◆ LTC2874_LP4

#define LTC2874_LP4 0x80

Definition at line 307 of file LTC2874.h.

## ◆ LTC2874_LP_ALL

#define LTC2874_LP_ALL 0xF0

Definition at line 308 of file LTC2874.h.

## ◆ LTC2874_LPTC

#define LTC2874_LPTC | ( |  | value | ) | (LTC2874_LPTC_msk & ((value) << LTC2874_LPTC_pos))

Definition at line 274 of file LTC2874.h.

## ◆ LTC2874_LPTC_msk

#define LTC2874_LPTC_msk (0xF<<4)

Definition at line 273 of file LTC2874.h.

## ◆ LTC2874_LPTC_pos

#define LTC2874_LPTC_pos 4

Definition at line 272 of file LTC2874.h.

## ◆ LTC2874_MODE1_REG8

#define LTC2874_MODE1_REG8 0x08

Definition at line 140 of file LTC2874.h.

## ◆ LTC2874_MODE2_REG9

#define LTC2874_MODE2_REG9 0x09

Definition at line 141 of file LTC2874.h.

## ◆ LTC2874_NSF1

#define LTC2874_NSF1 | ( |  | value | ) | (LTC2874_NSF1_msk & ((value) << LTC2874_NSF1_pos))

Definition at line 257 of file LTC2874.h.

## ◆ LTC2874_NSF1_msk

#define LTC2874_NSF1_msk 0x3

Definition at line 256 of file LTC2874.h.

## ◆ LTC2874_NSF1_pos

#define LTC2874_NSF1_pos 0

Definition at line 255 of file LTC2874.h.

## ◆ LTC2874_NSF2

#define LTC2874_NSF2 | ( |  | value | ) | (LTC2874_NSF2_msk & ((value) << LTC2874_NSF2_pos))

Definition at line 254 of file LTC2874.h.

## ◆ LTC2874_NSF2_msk

#define LTC2874_NSF2_msk (0x3<<2)

Definition at line 253 of file LTC2874.h.

## ◆ LTC2874_NSF2_pos

#define LTC2874_NSF2_pos 2

Definition at line 252 of file LTC2874.h.

## ◆ LTC2874_NSF3

#define LTC2874_NSF3 | ( |  | value | ) | LTC2874_NSF3_msk & ((value) << LTC2874_NSF3_pos))

Definition at line 251 of file LTC2874.h.

## ◆ LTC2874_NSF3_msk

#define LTC2874_NSF3_msk (0x3<<4)

Definition at line 250 of file LTC2874.h.

## ◆ LTC2874_NSF3_pos

#define LTC2874_NSF3_pos 4

Definition at line 249 of file LTC2874.h.

## ◆ LTC2874_NSF4

#define LTC2874_NSF4 | ( |  | value | ) | (LTC2874_NSF4_msk & ((value) << LTC2874_NSF4_pos))

Definition at line 248 of file LTC2874.h.

## ◆ LTC2874_NSF4_msk

#define LTC2874_NSF4_msk (0x3<<6)

Definition at line 247 of file LTC2874.h.

## ◆ LTC2874_NSF4_pos

#define LTC2874_NSF4_pos 6

Definition at line 246 of file LTC2874.h.

## ◆ LTC2874_NSF_REGA

#define LTC2874_NSF_REGA 0x0A

Definition at line 142 of file LTC2874.h.

## ◆ LTC2874_OC_CQ2

#define LTC2874_OC_CQ2 (0x1<<1)

Definition at line 218 of file LTC2874.h.

## ◆ LTC2874_OC_CQ3

#define LTC2874_OC_CQ3 (0x1<<2)

Definition at line 217 of file LTC2874.h.

## ◆ LTC2874_OC_CQ4

#define LTC2874_OC_CQ4 (0x1<<3)

Definition at line 216 of file LTC2874.h.

## ◆ LTC2874_OC_LP1_STAT

#define LTC2874_OC_LP1_STAT 0x1

Definition at line 210 of file LTC2874.h.

## ◆ LTC2874_OC_LP2_STAT

#define LTC2874_OC_LP2_STAT (0x1<<1)

Definition at line 209 of file LTC2874.h.

## ◆ LTC2874_OC_LP3_STAT

#define LTC2874_OC_LP3_STAT (0x1<<2)

Definition at line 208 of file LTC2874.h.

## ◆ LTC2874_OC_LP4_STAT

#define LTC2874_OC_LP4_STAT (0x1<<3)

Definition at line 207 of file LTC2874.h.

## ◆ LTC2874_OC_OQ1

#define LTC2874_OC_OQ1 0x1

Definition at line 219 of file LTC2874.h.

## ◆ LTC2874_OT

#define LTC2874_OT (0x1<<7)

Definition at line 153 of file LTC2874.h.

## ◆ LTC2874_OT_MASK

#define LTC2874_OT_MASK (0x1<<7)

Definition at line 161 of file LTC2874.h.

## ◆ LTC2874_OT_SD

#define LTC2874_OT_SD (0x1<<7)

Definition at line 169 of file LTC2874.h.

## ◆ LTC2874_OT_STAT

#define LTC2874_OT_STAT (0x1<<7)

Definition at line 203 of file LTC2874.h.

## ◆ LTC2874_OT_WARN

#define LTC2874_OT_WARN (0x1<<6)

Definition at line 170 of file LTC2874.h.

## ◆ LTC2874_OV_ALLOW

#define LTC2874_OV_ALLOW (0x1<<1)

Definition at line 242 of file LTC2874.h.

## ◆ LTC2874_OV_TH

#define LTC2874_OV_TH | ( |  | value | ) | (LTC2874_OV_TH_msk & ((value) << LTC2874_OV_TH_pos))

Definition at line 240 of file LTC2874.h.

## ◆ LTC2874_OV_TH_msk

#define LTC2874_OV_TH_msk (0x3<<2)

Definition at line 239 of file LTC2874.h.

## ◆ LTC2874_OV_TH_pos

#define LTC2874_OV_TH_pos 2

Definition at line 238 of file LTC2874.h.

## ◆ LTC2874_OV_VDD

#define LTC2874_OV_VDD (0x1<<1)

Definition at line 174 of file LTC2874.h.

## ◆ LTC2874_OV_VDD_STAT

#define LTC2874_OV_VDD_STAT (0x1<<4)

Definition at line 206 of file LTC2874.h.

## ◆ LTC2874_PWRCHNG

#define LTC2874_PWRCHNG (0x1<<3)

Definition at line 157 of file LTC2874.h.

## ◆ LTC2874_PWRCHNG1

#define LTC2874_PWRCHNG1 (0x1<<4)

Definition at line 188 of file LTC2874.h.

## ◆ LTC2874_PWRCHNG2

#define LTC2874_PWRCHNG2 (0x1<<5)

Definition at line 187 of file LTC2874.h.

## ◆ LTC2874_PWRCHNG3

#define LTC2874_PWRCHNG3 (0x1<<6)

Definition at line 186 of file LTC2874.h.

## ◆ LTC2874_PWRCHNG4

#define LTC2874_PWRCHNG4 (0x1<<7)

Definition at line 185 of file LTC2874.h.

## ◆ LTC2874_PWRCHNG_MASK

#define LTC2874_PWRCHNG_MASK (0x1<<3)

Definition at line 165 of file LTC2874.h.

## ◆ LTC2874_PWRGD1

#define LTC2874_PWRGD1 (0x1<<4)

Definition at line 215 of file LTC2874.h.

## ◆ LTC2874_PWRGD2

#define LTC2874_PWRGD2 (0x1<<5)

Definition at line 214 of file LTC2874.h.

## ◆ LTC2874_PWRGD3

#define LTC2874_PWRGD3 (0x1<<6)

Definition at line 213 of file LTC2874.h.

## ◆ LTC2874_PWRGD4

#define LTC2874_PWRGD4 (0x1<<7)

Definition at line 212 of file LTC2874.h.

## ◆ LTC2874_READ

#define LTC2874_READ 0x00

Definition at line 101 of file LTC2874.h.

## ◆ LTC2874_RESET

#define LTC2874_RESET 0xE0

Definition at line 105 of file LTC2874.h.

## ◆ LTC2874_RETRY_CQ

#define LTC2874_RETRY_CQ 0x1

Definition at line 231 of file LTC2874.h.

## ◆ LTC2874_RETRY_LP

#define LTC2874_RETRY_LP (0x1<<1)

Definition at line 230 of file LTC2874.h.

## ◆ LTC2874_RETRY_OV

#define LTC2874_RETRY_OV (0x1<<2)

Definition at line 229 of file LTC2874.h.

## ◆ LTC2874_RETRYTC

#define LTC2874_RETRYTC | ( |  | value | ) | (LTC2874_RETRYTC_msk & (value))

Definition at line 278 of file LTC2874.h.

## ◆ LTC2874_RETRYTC_msk

#define LTC2874_RETRYTC_msk 0x07

Definition at line 277 of file LTC2874.h.

## ◆ LTC2874_RETRYTC_pos

#define LTC2874_RETRYTC_pos 0

Definition at line 276 of file LTC2874.h.

## ◆ LTC2874_SIO_MODE1

#define LTC2874_SIO_MODE1 0x1

Definition at line 296 of file LTC2874.h.

## ◆ LTC2874_SIO_MODE2

#define LTC2874_SIO_MODE2 (0x1<<1)

Definition at line 295 of file LTC2874.h.

## ◆ LTC2874_SIO_MODE3

#define LTC2874_SIO_MODE3 (0x1<<2)

Definition at line 294 of file LTC2874.h.

## ◆ LTC2874_SIO_MODE4

#define LTC2874_SIO_MODE4 (0x1<<3)

Definition at line 293 of file LTC2874.h.

## ◆ LTC2874_SLEW1

#define LTC2874_SLEW1 (0x1<<4)

Definition at line 236 of file LTC2874.h.

## ◆ LTC2874_SLEW2

#define LTC2874_SLEW2 (0x1<<5)

Definition at line 235 of file LTC2874.h.

## ◆ LTC2874_SLEW3

#define LTC2874_SLEW3 (0x1<<6)

Definition at line 234 of file LTC2874.h.

## ◆ LTC2874_SLEW4

#define LTC2874_SLEW4 (0x1<<7)

Definition at line 233 of file LTC2874.h.

## ◆ LTC2874_STATUS1_REG6

#define LTC2874_STATUS1_REG6 0x06

Definition at line 138 of file LTC2874.h.

## ◆ LTC2874_STATUS2_REG7

#define LTC2874_STATUS2_REG7 0x07

Definition at line 139 of file LTC2874.h.

## ◆ LTC2874_SUPPLY

#define LTC2874_SUPPLY (0x1<<6)

Definition at line 154 of file LTC2874.h.

## ◆ LTC2874_SUPPLY_MASK

#define LTC2874_SUPPLY_MASK (0x1<<6)

Definition at line 162 of file LTC2874.h.

## ◆ LTC2874_TMRCTRL_REGC

#define LTC2874_TMRCTRL_REGC 0x0C

Definition at line 144 of file LTC2874.h.

## ◆ LTC2874_TOC_CQ

#define LTC2874_TOC_CQ (0x1<<2)

Definition at line 158 of file LTC2874.h.

## ◆ LTC2874_TOC_CQ1

#define LTC2874_TOC_CQ1 0x1

Definition at line 192 of file LTC2874.h.

## ◆ LTC2874_TOC_CQ2

#define LTC2874_TOC_CQ2 (0x1<<1)

Definition at line 191 of file LTC2874.h.

## ◆ LTC2874_TOC_CQ3

#define LTC2874_TOC_CQ3 (0x1<<2)

Definition at line 190 of file LTC2874.h.

## ◆ LTC2874_TOC_CQ4

#define LTC2874_TOC_CQ4 (0x1<<3)

Definition at line 189 of file LTC2874.h.

## ◆ LTC2874_TOC_CQ_MASK

#define LTC2874_TOC_CQ_MASK (0x1<<2)

Definition at line 166 of file LTC2874.h.

## ◆ LTC2874_TOC_LP

#define LTC2874_TOC_LP (0x1<<4)

Definition at line 156 of file LTC2874.h.

## ◆ LTC2874_TOC_LP1

#define LTC2874_TOC_LP1 0x1

Definition at line 183 of file LTC2874.h.

## ◆ LTC2874_TOC_LP2

#define LTC2874_TOC_LP2 (0x1<<1)

Definition at line 182 of file LTC2874.h.

## ◆ LTC2874_TOC_LP3

#define LTC2874_TOC_LP3 (0x1<<2)

Definition at line 181 of file LTC2874.h.

## ◆ LTC2874_TOC_LP4

#define LTC2874_TOC_LP4 (0x1<<3)

Definition at line 180 of file LTC2874.h.

## ◆ LTC2874_TOC_LP_MASK

#define LTC2874_TOC_LP_MASK (0x1<<4)

Definition at line 164 of file LTC2874.h.

## ◆ LTC2874_UPDATE_ALL

#define LTC2874_UPDATE_ALL 0x40

Definition at line 103 of file LTC2874.h.

## ◆ LTC2874_UV_VDD

#define LTC2874_UV_VDD (0x1<<2)

Definition at line 173 of file LTC2874.h.

## ◆ LTC2874_UVLO_VDD

#define LTC2874_UVLO_VDD (0x1<<3)

Definition at line 172 of file LTC2874.h.

## ◆ LTC2874_UVLO_VDD_STAT

#define LTC2874_UVLO_VDD_STAT (0x1<<5)

Definition at line 205 of file LTC2874.h.

## ◆ LTC2874_UVLO_VL

#define LTC2874_UVLO_VL (0x1<<4)

Definition at line 171 of file LTC2874.h.

## ◆ LTC2874_WKUP1

#define LTC2874_WKUP1 (0x1<<4)

Definition at line 283 of file LTC2874.h.

## ◆ LTC2874_WKUP2

#define LTC2874_WKUP2 (0x1<<5)

Definition at line 282 of file LTC2874.h.

## ◆ LTC2874_WKUP3

#define LTC2874_WKUP3 (0x1<<6)

Definition at line 281 of file LTC2874.h.

## ◆ LTC2874_WKUP4

#define LTC2874_WKUP4 (0x1<<7)

Definition at line 280 of file LTC2874.h.

## ◆ LTC2874_WRITE_NO_UPDATE

#define LTC2874_WRITE_NO_UPDATE 0x20

Definition at line 102 of file LTC2874.h.

## ◆ LTC2874_WRITE_UPDATE_ALL

#define LTC2874_WRITE_UPDATE_ALL 0x60

Definition at line 104 of file LTC2874.h.

## ◆ LTC2874_WU

#define LTC2874_WU (0x1<<5)

Definition at line 155 of file LTC2874.h.

## ◆ LTC2874_WU1

#define LTC2874_WU1 (0x1<<4)

Definition at line 179 of file LTC2874.h.

## ◆ LTC2874_WU2

#define LTC2874_WU2 (0x1<<5)

Definition at line 178 of file LTC2874.h.

## ◆ LTC2874_WU3

#define LTC2874_WU3 (0x1<<6)

Definition at line 177 of file LTC2874.h.

## ◆ LTC2874_WU4

#define LTC2874_WU4 (0x1<<7)

Definition at line 176 of file LTC2874.h.

## ◆ LTC2874_WU_COOL_STAT

#define LTC2874_WU_COOL_STAT (0x1<<6)

Definition at line 204 of file LTC2874.h.

## ◆ LTC2874_WU_MASK

#define LTC2874_WU_MASK (0x1<<5)

Definition at line 163 of file LTC2874.h.